#pragma once
#include "Mod.h"

class FastUse : public Mod {
public:
	float speed = 1.f;

	FastUse() : Mod(_("Fast Use"), _("Faster speed of using items."), Category::PLAYER) {
		settings.push_back(new Setting{ _("Speed"), &speed, new float(10.f), new float(0.f), 2, {}, true, 5.f });

		enabled = false;
	}

private:
	virtual auto onWorldTick(Player* _this) -> void override;
};
